GRDSPOTTER(1)

NAME
grdspotter - Create CVA image directly from gravity or bathymetry grids

SYNOPSIS
grdspotter [grdfile] -Erotations_file -GCVAgrid -Ixinc[unit][=|+][/yinc[unit][=|+]] -Rwest/east/south/north[r] [ -Aagegrid ] [ -Bn_try ] [ -C ] [ -DDIgrid ] [ -F ] [ -LIT(IDgrid) ] [ -M ] [ -Nupper_age ] [ -PPAgrid ] [ -QIDinfo ] [ -S ] [ -T ] [ -Ufixed_val ] [ -V ] [ -Zz_min[/z_max[/z_inc]] ]

DESCRIPTION
grdspotter reads a grid file with residual bathymetry or gravity and calculates flowlines from each node that exceeds a minimum value using the specified rotations file. These flowlines are then convolved with the volume of the prism represented by each grid node and added up to give a Cumulative Volcano Amplitude grid (CVA).
    No space between the option flag and the associated arguments. Use upper case for the option flags and lower case for modifiers.

grdfile
    Data grid to be processed, typically residual bathymetry or free-air anomalies.

-E  Give file with rotation parameters. This file must contain one record for each rotation; each record must be of the following format:

        lon lat tstart [tstop] angle [ khat a b c d e f g df ]

    where tstart and tstop are in Myr and lon lat angle are in degrees. tstart and tstop are the ages of the old and young ends of a stage. If -C is set then a total reconstruction rotation is expected and tstop is implicitly set to 0 and should not be specified in the file. If a covariance matrix C for the rotation is available it must be specified in a format using the nine optional terms listed in brackets. Here, C = (g/khat)*[ a b d; b c e; d e f ] which shows C made up of three row vectors. If the degrees of freedom (df) in fitting the rotation is 0 or not given it is set to 10000. Blank lines and records whose first column contains # will be ignored.

-G  Specify name for output CVA grid file.

-I  x_inc [and optionally y_inc] is the grid spacing. Optionally, append a suffix modifier. Geographical (degrees) coordinates: Append m to indicate arc minutes or c to indicate arc seconds. If one of the units e, k, i, or n is appended instead, the increment is assumed to be given in meter, km, miles, or nautical miles, respectively, and will be converted to the equivalent degrees longitude at the middle latitude of the region (the conversion depends on ELLIPSOID). If /y_inc is given but set to 0 it will be reset equal to x_inc; otherwise it will be converted to degrees latitude. All coordinates: If = is appended then the corresponding max x (east) or y (north) may be slightly adjusted to fit exactly the given increment [by default the increment may be adjusted slightly to fit the given domain]. Finally, instead of giving an increment you may specify the number of nodes desired by appending + to the supplied integer argument; the increment is then recalculated from the number of nodes and the domain. The resulting increment value depends on whether you have selected a gridline-registered or pixel-registered grid; see Appendix B for details. Note: if -Rgrdfile is used then grid spacing has already been initialized; use -I to override the values.

-R  west, east, south, and north specify the Region of interest, and you may specify them in decimal degrees or in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r if lower left and upper right map coordinates are given instead of w/e/s/n. The two shorthands -Rg and -Rd stand for global domain (0/360 and -180/+180 in longitude respectively, with -90/+90 in latitude). Alternatively, specify the name of an existing grid file and the -R settings (and grid spacing, if applicable) are copied from the grid.

OPTIONS

-A  Supply a crustal age grid that is co-registered with the input data grid. These ages become the upper ages to use when constructing flowlines [Default extend flowlines back to oldest age found in the rotation file; but see -N].

-B  Get n_try bootstrap estimates of the maximum CVA location; the longitude and latitude results are written to stdout [Default is no bootstrapping]. Cannot be used with -M.

-C  Expect Total Reconstruction Rotations rather than Forward Stage Rotations [Default]. File format is similar to the stage pole format except that the tstart column is not present (assumed to be 0 Ma).

-D  Use flowlines to determine the maximum CVA encountered along each flowline and create a Data Importance (DI) grid with these values at the originating nodes.

-F  Force pixel registration [Default is grid registration].

-L  Supply a co-registered grid with seamount chain IDs for each node. This option requires that you also use -Q.

-M  Do not attempt to keep all flowlines in memory when using -D and/or -P. Should you run out of memory you can use this option to compute flowlines on-the-fly. It will be slower as we no longer can reuse the flowlines calculated for the CVA step. Cannot be used with -B or the multi-slice mode in -Z.

-N  Set the upper age to assign to nodes whose crustal age is unknown (i.e., NaN) [no upper age]. Also see -A.

-P  Use flowlines to determine the flowline age at the CVA maximum for each node and create a Predicted Age (PA) grid with these values at the originating nodes.

-Q  Either give (1) a single ID to use or (2) the name of a file with a list of IDs to use [Default uses all IDs]. Each line would be TAG ID [w e s n]. The w/e/s/n zoom box is optional; if specified it means we only trace the flowline if inside this region [Default uses region set by -R]. Requires -L.

-S  Normalize the resulting CVA grid to percentages of the CVA maximum. This also normalizes the DI grid (if requested).

-T  Truncate crustal ages given via the -A option that exceed the upper age set with -N [no truncation].

-U  After a node passes the test implied by -Z, use this fixed_val instead in the calculations. [Default uses individual node values].

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

-Z  Ignore nodes with z-values lower than z_min [0] and optionally larger than z_max [Inf]. Give z_min/z_max/z_inc to make separate CVA grids for each z-slice [Default makes one CVA grid]. Multi-slicing cannot be used with -M.

EXAMPLES
To create a CVA image from the Pacific topography grid Pac_res_topo.grd, using the DC85.d Euler poles, and only output a grid for the specified domain, run

grdspotter Pac_res_topo.grd -EDC85.d -GCVA.grd -R190/220/15/25 -I2m -N145 -T -V

This file can then be plotted with grdimage.

COORDINATES
Data coordinates are assumed to be geodetic and will automatically be converted to geocentric before spherical rotations are performed. We convert back to geodetic coordinates for output. Note: If your data already are geocentric, you can avoid the conversion by using --ELLIPSOID=sphere.

SEE ALSO
GMT(1), grdimage(1), grdrotater(1), project(1), mapproject(1), backtracker(1), hotspotter(1), originator(1)

REFERENCES
Wessel, P., 1999, "Hotspotting" tools released, EOS Trans. AGU, 80 (29), p. 319.